> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar movimientos de caja

> Lista los retiros e ingresos de efectivo de un turno, sin los pagos de cuentas ni los ajustes de apertura y cierre.



## OpenAPI

````yaml get /tabs/{storeId}/cash-movements
openapi: 3.1.0
info:
  title: Justo API
  version: 3.0.0
servers:
  - url: https://api.service.getjusto.com/v3
    description: Production server
security: []
paths:
  /tabs/{storeId}/cash-movements:
    get:
      summary: List cash movements
      description: >-
        Lista los retiros e ingresos de efectivo de un turno, sin los pagos de
        cuentas ni los ajustes de apertura y cierre.
      parameters:
        - in: path
          name: storeId
          required: true
          schema:
            type: string
          description: ID Justo del local.
        - in: query
          name: shiftId
          required: false
          schema:
            type: string
          description: Turno, de GET /tabs/{storeId}/shifts. Por defecto, el turno abierto.
      responses:
        '200':
          description: The OpenAPI spec
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/tabsCashMovement'
        '400':
          description: Errors
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  error:
                    type: object
                    properties:
                      error:
                        type: string
                        example: error
                      message:
                        type: string
                        example: The request has an error
components:
  schemas:
    tabsCashMovement:
      type: object
      properties:
        _id:
          type: string
          description: ID del movimiento.
        type:
          type: string
          enum:
            - withdrawal
            - income
          description: 'withdrawal: retiro de efectivo. income: ingreso de efectivo.'
        amount:
          type: number
          description: Monto. Los retiros son negativos.
        reason:
          type:
            - string
            - 'null'
          description: Motivo del movimiento.
        comments:
          type:
            - string
            - 'null'
          description: Comentarios.
        paymentMethodId:
          type: string
          description: Medio de pago en efectivo.
        cashRegisterId:
          type:
            - string
            - 'null'
          description: Caja del movimiento.
        createdByName:
          type:
            - string
            - 'null'
          description: Quién lo registró.
        createdAt:
          type: string
          description: Fecha del movimiento.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.